Bug 216337 - Please roll out gramps 2.2.4 for FC6
Please roll out gramps 2.2.4 for FC6
Product: Fedora
Classification: Fedora
Component: gramps (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
: 221973 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-11-19 09:19 EST by Linus Walleij
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-16 11:56:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Gramps Complete Individual Report error (1.49 KB, text/plain)
2006-12-28 09:31 EST, Brian Pepple
no flags Details

  None (edit)
Description Linus Walleij 2006-11-19 09:19:03 EST
I think it's a bit sad that Gramps users will have to wait until
FC7 for gramps 2.2.2, especially given that it was not long since
FC6 was released.

I have been running the devel (.fc7) RPM for some time now and it
works flawlessly (for me).

I suggest to roll out 2.2.2 to all FC6 users. (You may say no to
this, of course.)
Comment 1 Brian Pepple 2006-11-19 09:58:05 EST
There was a fairly significant change between 2.0.11 & 2.2.2 (specifically the
changes to the db layout).  Before updating FC6 I want to do more testing to
make sure nothing breaks.
Comment 2 Glenn McKechnie 2006-12-28 01:24:40 EST
What's the status on the 2.2.2 testing? 

has been released which includes a few bugfixes, and we're looking for ways to
get this most recent stable version into wider use.

A recent <a
on the gramps mailing list provides some background to the subject. As described
in that discussion, I've been able to build an rpm for fc6 (which also runs on
fc5) without any apparent major hiccups. There is a portability issue because of
the python version however that is well described with a pop-up warning and a
work around. Is there any testing or assistance that I/we could do to assist
it's inclusion? 

The spec file I used to build the rpm was your current fc7 one, the only mods
were to include (under the %install section)
cp -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}/images/%{name}.png
and under the %files section...
It was the same error that aborted your latest build of <a

Comment 3 Linus Walleij 2006-12-28 08:49:23 EST
I've been using 2.2.2 and 2.2.3 since the first FC7 RPM
was produced, and I have only positive experiences of Gramps 2.2.x.
No problems whatsoever. My database is 1000+ ppl.

I think it's clear to roll out.
Comment 4 Brian Pepple 2006-12-28 09:31:27 EST
Created attachment 144463 [details]
Gramps Complete Individual Report error
Comment 5 Brian Pepple 2006-12-28 09:32:27 EST
(In reply to comment #3)
> I've been using 2.2.2 and 2.2.3 since the first FC7 RPM
> was produced, and I have only positive experiences of Gramps 2.2.x.
> No problems whatsoever. My database is 1000+ ppl.

Well, during my testing I've experienced several reports that failed with
various databases. Hopefully, once the holidays are over I'll get some time to
create some patches to fix these error.  I will not be updating the stable
branches (FC6, FC5) to the latest version, until these problems are corrected.

Refer to comment #4 for an example.
Comment 6 Brian Pepple 2006-12-28 09:33:49 EST
Comment on attachment 144463 [details]
Gramps Complete Individual Report error

This is with gramps-2.2.4
Comment 7 Glenn McKechnie 2006-12-29 00:27:57 EST
With assistance from the gramps mailing list, I've attempted to reproduce the
bug listed as attachment 144463 [details]. I have been unable to get the identical output
using either my fc6 rpm or your latest 2.2.4-3.fc7 build but what I did get was
also using 'Reports->Text Reports->Complete Individual Report' and this has now
been reported to gramps-bugs. 

The outcome of that report was interesting in that "cannot handle unicode
strings" and "deprecate the PdfDoc interface" were mentioned. Perhaps this helps
resolve your bug, considering it's the same report item and produces a unicode
error from PdfDoc.py?

It's obviously in the interest of the gramps project to have the most recent
stable build in active circulation, this reduces the reporting of old/now fixed
bugs and ensures testing and greater stability for the latest branch.  To this
end, feel free to ask myself or the gramps-devel list members for assistance
regarding testing of fedora builds, also please report any gramps related bugs
you encounter to gramps-bugs@lists.sourceforge.net so that the (very) active
developers can assist the process.

Mailing lists for gramps are at http://sourceforge.net/mail/?group_id=25770

And thank you for your efforts.
Comment 8 Brian Pepple 2007-01-09 09:21:21 EST
*** Bug 221973 has been marked as a duplicate of this bug. ***
Comment 9 Brian Pepple 2007-05-16 11:56:24 EDT
Marking as WontFix, since F7 is right around the corner.

Note You need to log in before you can comment on or make changes to this bug.